
Foreman - Feature #12714

As a user I would like to know if the proxy is up and running 

12/07/2015 03:33 AM - Shlomi Zadok

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Smart Proxy   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2971,

https://github.com/theforeman/foreman/p

ull/3014,

https://github.com/theforeman/foreman/p

ull/3019

  

Description

In the smart proxies index page, I'd like to see each proxy's status (Is it up and running)

In the smart proxy show page, I'd like to see additional data on the smart proxy:

Which services are running, uptime, etc.

Related issues:

Related to Foreman - Refactor #13054: Proxy actions buttons not consistent Closed 01/07/2016

Related to Foreman - Bug #13255: smart proxy status might not display correctly Closed 01/17/2016

Related to Foreman - Bug #13294: generate_links_for helper method should have... Closed 01/20/2016

Blocks Foreman - Tracker #12507: Smart Proxy UX improvments New 11/17/2015

Associated revisions

Revision 7cdaddab - 12/30/2015 02:44 AM - Shlomi Zadok

fixes #12714 - Show proxy status in index, and create a show page for proxy

Revision 376f892b - 12/31/2015 05:26 AM - Tomer Brisker

Refs #12714 - Improve proxy services tab

Revision eec49f63 - 01/04/2016 04:04 PM - Dominic Cleal

refs #12714 - i18n extraction and interpolation fixes

History

#1 - 12/07/2015 03:35 AM - Dominic Cleal

There's a status display under the About page and in the host build review.  Can you add a description to the ticket if you mean something else

please?

#2 - 12/07/2015 03:42 AM - Shlomi Zadok

- Description updated

#3 - 12/07/2015 03:44 AM - Shlomi Zadok

- Blocks Tracker #12507: Smart Proxy UX improvments added

#4 - 12/10/2015 06:07 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/2969 added
#5 - 12/10/2015 06:07 AM - Shlomi Zadok

- Status changed from Ready For Testing to Assigned

#6 - 12/10/2015 06:45 AM - Shlomi Zadok

- Pull request deleted (https://github.com/theforeman/foreman/pull/2969)

#7 - 12/13/2015 08:46 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2971 added

#8 - 12/30/2015 03:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7cdaddab0289b13528a041fb2432147dfa8de47a.

#9 - 12/31/2015 04:30 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3014 added

#10 - 01/04/2016 02:53 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#11 - 01/04/2016 03:40 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3019 added

#12 - 01/11/2016 06:31 AM - Dominic Cleal

- Related to Refactor #13054: Proxy actions buttons not consistent added

#13 - 01/17/2016 10:11 AM - Ohad Levy

- Related to Bug #13255: smart proxy status might not display correctly added

#14 - 01/20/2016 08:42 AM - Dominic Cleal

- Related to Bug #13294: generate_links_for helper method should have quotes on search parameter added

#15 - 02/22/2016 07:14 AM - Dominic Cleal

- Category set to Smart Proxy
